Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ObjectReferenceTemplateC.h File Reference

`#include "ace/pre.h"`
`#include "tao/corbafwd.h"`
`#include "tao/TAO_Export.h"`
`#include "OctetSeqC.h"`
`#include "StringSeqC.h"`
`#include "ValueBase.h"`
`#include "Exception.h"`
`#include "ace/post.h"`

Include dependency graph for ObjectReferenceTemplateC.h:

This graph shows which files directly or indirectly include this file:

## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _PORTABLEINTERCEPTOR_OBJECTREFERENCEFACTORY___PTR_CH_
#define | _PORTABLEINTERCEPTOR_OBJECTREFERENCEFACTORY___VAR_CH_
#define | _PORTABLEINTERCEPTOR_OBJECTREFERENCEFACTORY___OUT_CH_
#define | _PORTABLEINTERCEPTOR_OBJECTREFERENCEFACTORY_CH_
#define | _PORTABLEINTERCEPTOR_OBJECTREFERENCETEMPLATE___PTR_CH_
#define | _PORTABLEINTERCEPTOR_OBJECTREFERENCETEMPLATE___VAR_CH_
#define | _PORTABLEINTERCEPTOR_OBJECTREFERENCETEMPLATE___OUT_CH_
#define | _PORTABLEINTERCEPTOR_OBJECTREFERENCETEMPLATE_CH_
#define | __TAO_UNBOUNDED_VALUETYPE_SEQUENCE_PORTABLEINTERCEPTOR_OBJECTREFERENCETEMPLATESEQ_CH_
#define | _PORTABLEINTERCEPTOR_OBJECTREFERENCETEMPLATESEQ_CH_
#define | _PORTABLEINTERCEPTOR_OBJECTREFERENCETEMPLATESEQ___VAR_CH_
#define | _PORTABLEINTERCEPTOR_OBJECTREFERENCETEMPLATESEQ___OUT_CH_
## Functions
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::ObjectReferenceFactory **)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableInterceptor::ObjectReferenceFactory *&)
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::ObjectReferenceTemplate *)
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::ObjectReferenceTemplate **)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableInterceptor::ObjectReferenceTemplate *&)
TAO_Export void | operator<<= (CORBA::Any &, const PortableInterceptor::ObjectReferenceTemplateSeq &)
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::ObjectReferenceTemplateSeq *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableInterceptor::ObjectReferenceTemplateSeq *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableInterceptor::ObjectReferenceTemplateSeq *&)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, PortableInterceptor::ObjectReferenceFactory *&)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, PortableInterceptor::ObjectReferenceTemplate *&)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const PortableInterceptor::ObjectReferenceTemplateSeq &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, PortableInterceptor::ObjectReferenceTemplateSeq &)

## Define Documentation

#define __TAO_UNBOUNDED_VALUETYPE_SEQUENCE_PORTABLEINTERCEPTOR_OBJECTREFERENCETEMPLATESEQ_CH_

#define _PORTABLEINTERCEPTOR_OBJECTREFERENCEFACTORY___OUT_CH_

#define _PORTABLEINTERCEPTOR_OBJECTREFERENCEFACTORY___PTR_CH_

#define _PORTABLEINTERCEPTOR_OBJECTREFERENCEFACTORY___VAR_CH_

#define _PORTABLEINTERCEPTOR_OBJECTREFERENCEFACTORY_CH_

#define _PORTABLEINTERCEPTOR_OBJECTREFERENCETEMPLATE___OUT_CH_

#define _PORTABLEINTERCEPTOR_OBJECTREFERENCETEMPLATE___PTR_CH_

#define _PORTABLEINTERCEPTOR_OBJECTREFERENCETEMPLATE___VAR_CH_

#define _PORTABLEINTERCEPTOR_OBJECTREFERENCETEMPLATE_CH_

#define _PORTABLEINTERCEPTOR_OBJECTREFERENCETEMPLATESEQ___OUT_CH_

#define _PORTABLEINTERCEPTOR_OBJECTREFERENCETEMPLATESEQ___VAR_CH_

#define _PORTABLEINTERCEPTOR_OBJECTREFERENCETEMPLATESEQ_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const PortableInterceptor::ObjectReferenceTemplateSeq & | _tao_sequence
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::ObjectReferenceTemplateSeq * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const PortableInterceptor::ObjectReferenceTemplateSeq & | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | any,
|  | PortableInterceptor::ObjectReferenceTemplate ** | value
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | any,
|  | PortableInterceptor::ObjectReferenceTemplate * | value
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | any,
|  | PortableInterceptor::ObjectReferenceFactory ** | value
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | PortableInterceptor::ObjectReferenceTemplateSeq & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | PortableInterceptor::ObjectReferenceTemplate *& | _tao_valuetype
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | PortableInterceptor::ObjectReferenceFactory *& | _tao_valuetype
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const PortableInterceptor::ObjectReferenceTemplateSeq *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | PortableInterceptor::ObjectReferenceTemplateSeq *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | any,
|  | PortableInterceptor::ObjectReferenceTemplate *& | value
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | any,
|  | PortableInterceptor::ObjectReferenceFactory *& | value
| ) |